Summary:       Replacer Maven Mojo
Name:          replacer
Version:       1.6
Release:       3%{?dist}
License:       MIT
URL:           https://github.com/beiliubei/maven-replacer-plugin
Source0:       https://github.com/beiliubei/maven-replacer-plugin/archive/%{version}.tar.gz

BuildRequires: mvn(org.apache.maven.plugins:maven-plugin-plugin) mvn(xerces:xercesImpl)
BuildRequires: maven-local mvn(commons-io:commons-io) mvn(org.apache.ant:ant) mvn(org.apache.commons:commons-lang3) mvn(org.apache.maven:maven-plugin-api)

BuildArch:     noarch
ExclusiveArch:  %{java_arches} noarch

%description
Maven plugin to replace tokens in a given file with a value.

This plugin is also used to automatically generating PackageVersion.java
in the FasterXML.com project.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%autosetup -n maven-replacer-plugin-%{version}

%pom_remove_parent
%pom_remove_plugin :dashboard-maven-plugin
%pom_remove_plugin :maven-assembly-plugin
%pom_remove_plugin :maven-compiler-plugin

%pom_change_dep :commons-lang org.apache.commons:commons-lang3:3.8.1

for i in $(find -name "*.java"); do
    sed -i "s/org.apache.commons.lang./org.apache.commons.lang3./g" $i;
done

%mvn_file :%{name} %{name}
%mvn_alias :%{name} com.google.code.maven-replacer-plugin:maven-replacer-plugin

%build
%mvn_build -f -- -Dmaven.compiler.source=1.8 -Dmaven.compiler.target=1.8

%install
%mvn_install

%files -f .mfiles
%license LICENSE
%doc README.md

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6-2
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 17 2023 cunshunxia <cunshunxia@tencent.com> - 1.6-1
- initial build
